$ ! This procedure invokes the RSH client, allowing you to specify an
$ ! arbitrary port number.  Note that RCP "piggybacks" atop either the RSH
$ ! or REXEC protocol, depending upon whether you specify a password.
$ !
$ ! For example, if you connect a STUNNEL at port 9824 on the local host
$ ! through to the RSH service (port 514) on a particular remote host,
$ ! you might use the command:
$ !
$ !	$ @SRCP 9824 /PRESERVE LOCALHOST:REMOTE-FILE.DAT FILE.DAT
$ !
$ ! Note that you would need to have a proxy set up on the designated
$ ! host, specifying /HOST=LOCALHOST in the proxy record.
$ !
$ ! If you connected port 9825 to the REXEC service, you'd need no proxy:
$ !
$ !	$ @SRCP 9825 /PASSWORD=secret FILE.DAT LOCALHOST:REMOTE-FILE.DAT
$
$ set noon
$ if p1 .eqs. "" .or. p2 .eqs. "" .or. p3 .eqs. "" then write sys$output -
	"Usage: @SRCP portnum rcp-param1 rcp-param2 ..."
$
$ ! If the /PASSWORD qualifier is specified, then this RCP command will
$ ! be using the REXEC service.  Otherwise, it will use RSH.
$
$ params = "''p2' ''p3' ''p4' ''p5' ''p6'"
$ if f$locate("/PASS",f$edit(params, "upcase")) .eqs. f$length(params)
$ then service := rsh
$ else service := rexec
$ endif
$
$ ! Create a small dummy service database, containing only the service
$ ! we will need for this command.
$
$ define tcpip$service sys$scratch:temp_service.dat
$ tcpip create service
$ tcpip set service 'service' /port='p1' /user=tcpip$rsh /process=dummy -
	/file=sys$system:dcl.exe
$
$ ! Execute the actual RCP command, using the remote port number
$ ! specified in the 'P1' parameter
$
$ rcp 'p2' 'p3' 'p4' 'p5' 'p6'
$
$ ! Now that we're done, get rid of the temporary file and logical name.
$
$ deassign tcpip$service
$ delete /nolog /noconfirm sys$scratch:temp_service.dat;*
$
$ exit
